> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lights



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/lights
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/lights:
    get:
      tags:
        - lights
      summary: Get Lights
      operationId: get_lights_api_lights_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Light'
                type: array
                title: Response Get Lights Api Lights Get
components:
  schemas:
    Light:
      properties:
        intensity:
          type: number
          title: Intensity
        pin:
          type: integer
          title: Pin
        nickname:
          type: string
          title: Nickname
        controller_index:
          type: integer
          title: Controller Index
        controller_name:
          type: string
          title: Controller Name
      type: object
      required:
        - intensity
        - pin
        - nickname
        - controller_index
        - controller_name
      title: Light

````